#include "PlayerDebugComponent.h"
#include "Net/UnrealNetwork.h"

void UPlayerDebugComponent::Client_CheatSendKeyPressEvent_Implementation(const FName& key, const float delayTime, const float releaseTime, bool pressed)
{

}

void UPlayerDebugComponent::CheatSendKeyPressEvent(const FName key, bool pressed)
{

}

void UPlayerDebugComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UPlayerDebugComponent, _disableStartUpdateMontageDuringEnter);
	DOREPLIFETIME(UPlayerDebugComponent, _allowPalletPullUpInteraction);
}

UPlayerDebugComponent::UPlayerDebugComponent()
{
	this->_disableStartUpdateMontageDuringEnter = false;
	this->_allowPalletPullUpInteraction = false;
}
